Subject: Re: bug#9118: 23.3.50; Don't seed the RNG in message-unique-id

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 19 Jul 2011 17:49:19 +0200

Leo <[email-masked]> writes:

> But every seeding interrupts the internal random state (which is out of
> our control at the moment) and break the users' train of random numbers.
>
> Also if you grep (random t) in the lisp/, you can see there is some
> effort in making a package only change the random state at most once.

Once per package?  That means that it's called many times in a single
Emacs session, so I don't really see the problem.

This should really be fixed by Emacs calling `(random t)' at startup.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/